## lcgdm 1.13.0

=== debian/changelog ===
lcgdm (1.13.0-1) unstable; urgency=medium

  * Update to version 1.13.0
  * Drop the PostgreSQL versions of LFC and DPM - have not been supported
    by upstream for a while, and now fail to build
  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Add Build-Depends on libgsoap-dev due to gsoap packaging change

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 24 Jul 2019 12:38:12 +0200
