=== debian/control ===
Source: lcgdm
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 10),
 libglobus-gssapi-gsi-dev,
 libglobus-gss-assist-dev,
 libglobus-gsi-credential-dev,
 libglobus-gsi-callback-dev,
 libglobus-gass-copy-dev,
 libglobus-ftp-client-dev,
 libglobus-common-dev,
 voms-dev (>= 2),
 gsoap,
 libgsoap-dev,
 libcgsi-gsoap-dev (>= 1.3.4.2),
 default-libmysqlclient-dev,
 uuid-dev,
 swig,
 libperl-dev,
 perl,
 python-dev,
 python3-dev,
 dh-python,
 xutils-dev,
 pkg-config
Standards-Version: 4.4.0
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/lcgdm
Vcs-Git: https://salsa.debian.org/ellert/lcgdm.git
Homepage: http://lcgdm.web.cern.ch/

Package: liblcgdm1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: LHC Computing Grid Data Management common libraries
 This package contains common libraries for the LCG Data Management
 components: the LFC (LCG File Catalog) and the DPM (Disk Pool Manager).

Package: liblcgdm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblcgdm1 (= ${binary:Version}),
 ${misc:Depends}
Description: LCG Data Management common development files
 This package contains common development libraries and header files
 for LCG Data Management.

Package: liblfc1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 liblcgdm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: LCG File Catalog (LFC) libraries
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the runtime LFC client library.

Package: liblfc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 liblfc1 (= ${binary:Version}),
 liblcgdm-dev (= ${binary:Version}),
 ${misc:Depends}
Description: LFC development libraries and header files
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package contains the development libraries and header files for LFC.

Package: lfc
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 lfc-client
Replaces:
 lfc-client (<< 1.8.1.2-2~),
 lfc-dli (<< 1.8.9)
Breaks:
 lfc-dli (<< 1.8.9)
Conflicts:
 lfc-client (<< 1.8.1.2-2~)
Depends:
 liblfc1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: LCG File Catalog (LFC) client
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the command line interfaces for the LFC.

Package: liblfc-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 liblfc1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${perl:Depends},
 ${misc:Depends}
Description: LCG File Catalog (LFC) perl bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Perl bindings for the LFC client library.

Package: python-lfc
Section: python
Architecture: any
Multi-Arch: foreign
Provides:
 ${python:Provides}
Depends:
 liblfc1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: LCG File Catalog (LFC) python2 bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python2 bindings for the LFC client library.

Package: python3-lfc
Section: python
Architecture: any
Multi-Arch: foreign
Provides:
 ${python3:Provides}
Depends:
 liblfc1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends}
XB-Python3-Version: ${python3:Versions}
Description: LCG File Catalog (LFC) python3 bindings
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides Python3 bindings for the LFC client library.

Package: lfc-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 lfc-mysql
Replaces:
 lfc-mysql (<< 1.8.1.2-2~)
Conflicts:
 lfc-mysql (<< 1.8.1.2-2~)
Depends:
 liblfc1 (= ${binary:Version}),
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
 finger,
 default-mysql-client | virtual-mysql-client,
 init-system-helpers (>= 1.50)
Description: LCG File Catalog (LFC) server with MySQL database backend
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides an LFC server that uses MySQL as its database
 backend.

Package: lfc-dli
Section: net
Architecture: any
Multi-Arch: foreign
Depends:
 liblfc1 (= ${binary:Version}),
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
 init-system-helpers (>= 1.50)
Description: LCG File Catalog (LFC) data location interface (dli) server
 The LCG File Catalog (LFC) keeps track of the locations of the physical
 replicas of the logical files in a distributed storage system.
 This package provides the data location interface (dli) server for
 the LFC.

Package: libdpm1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 liblcgdm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Disk Pool Manager (DPM) libraries
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package contains the runtime DPM client library.

Package: libdpm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdpm1 (= ${binary:Version}),
 liblcgdm-dev (= ${binary:Version}),
 ${misc:Depends}
Description: DPM development libraries and header files
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package contains the development libraries and header files for DPM.

Package: dpm
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 dpm-client
Replaces:
 dpm-client (<< 1.8.1.2-2~)
Conflicts:
 dpm-client (<< 1.8.1.2-2~)
Depends:
 libdpm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Disk Pool Manager (DPM) client
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides the command line interfaces for the DPM.

Package: libdpm-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 libdpm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${perl:Depends},
 ${misc:Depends}
Description: Disk Pool Manager (DPM) perl bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides Perl bindings for the DPM client library.

Package: python-dpm
Section: python
Architecture: any
Multi-Arch: foreign
Provides:
 ${python:Provides}
Depends:
 libdpm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: Disk Pool Manager (DPM) python2 bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides Python2 bindings for the DPM client library.

Package: python3-dpm
Section: python
Architecture: any
Multi-Arch: foreign
Provides:
 ${python3:Provides}
Depends:
 libdpm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${python3:Depends},
 ${misc:Depends}
XB-Python3-Version: ${python3:Versions}
Description: Disk Pool Manager (DPM) python3 bindings
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides Python3 bindings for the DPM client library.

Package: dpm-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 dpm-mysql
Replaces:
 dpm-mysql (<< 1.8.1.2-2~)
Conflicts:
 dpm-mysql (<< 1.8.1.2-2~)
Depends:
 libdpm1 (= ${binary:Version}),
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
 finger,
 default-mysql-client | virtual-mysql-client,
 init-system-helpers (>= 1.50)
Description: Disk Pool Manager (DPM) server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides a DPM server that uses MySQL as its database
 backend.

Package: dpm-name-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 dpm-mysql-nameserver
Replaces:
 dpm-mysql-nameserver (<< 1.8.1.2-2~)
Conflicts:
 dpm-mysql-nameserver (<< 1.8.1.2-2~)
Depends:
 libdpm1 (= ${binary:Version}),
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
 finger,
 default-mysql-client | virtual-mysql-client,
 init-system-helpers (>= 1.50)
Description: DPM nameserver server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides a DPM nameserver that uses MySQL as its
 database backend.

Package: dpm-copy-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 dpm-mysql-copyd
Replaces:
 dpm-mysql-copyd (<< 1.8.1.2-2~)
Conflicts:
 dpm-mysql-copyd (<< 1.8.1.2-2~)
Depends:
 libdpm1 (= ${binary:Version}),
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
 finger,
 init-system-helpers (>= 1.50)
Description: DPM copy server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides a DPM copy server that uses MySQL as its
 database backend.

Package: dpm-srm-server-mysql
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 dpm-mysql-srmv1,
 dpm-mysql-srmv2,
 dpm-mysql-srmv22
Replaces:
 dpm-mysql-srmv1 (<< 1.8.1.2-2~),
 dpm-mysql-srmv2 (<< 1.8.1.2-2~),
 dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Conflicts:
 dpm-mysql-srmv1 (<< 1.8.1.2-2~),
 dpm-mysql-srmv2 (<< 1.8.1.2-2~),
 dpm-mysql-srmv22 (<< 1.8.1.2-2~)
Depends:
 libdpm1 (= ${binary:Version}),
 adduser,
 ${shlibs:Depends},
 ${misc:Depends},
 finger,
 init-system-helpers (>= 1.50)
Description: DPM SRM server with MySQL database backend
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provides a DPM SRM server that uses MySQL as its
 database backend.

Package: dpm-rfio-server
Section: net
Architecture: any
Multi-Arch: foreign
Provides:
 dpm-rfiod
Replaces:
 dpm-rfiod (<< 1.8.1.2-2~)
Conflicts:
 dpm-rfiod (<< 1.8.1.2-2~)
Depends:
 libdpm1 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
 init-system-helpers (>= 1.50)
Description: DPM RFIO (Remote File IO) server
 The LCG Disk Pool Manager (DPM) creates a storage element from a set
 of disks. It provides several interfaces for storing and retrieving
 data such as HTTP, gridftp and xroot.
 This package provide a Remote File IO (RFIO) server for DPM.
